/*
 * The Apache Software License, Version 1.1
 *
 *
 * Copyright (c) 2002 The Apache Software Foundation.  All rights 
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:  
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The names "WSIF" and "Apache Software Foundation" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written 
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache",
 *    nor may "Apache" appear in their name, without prior written
 *    permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation and was
 * originally based on software copyright (c) 2001, 2002, International
 * Business Machines, Inc., http://www.apache.org.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 */

/*
 *This class is automatically generated by schema to Java program.
 *Only a subset of schema is handled and some of the schema information
 *may be lost during translation
 */

package addressbook.wsiftypes;

import java.io.Serializable;

public class Phone implements Serializable {

	//instance variables
	private int	areaCode;
	private java.lang.String	exchange;
	private java.lang.String	number;

	//constructors
	public Phone () { }

	public Phone (int areaCode, java.lang.String exchange, java.lang.String number) {
		this.areaCode	= areaCode;
		this.exchange	= exchange;
		this.number	= number;
	}

	public int getAreaCode() {
		return areaCode;
	}

	public  void setAreaCode(int areaCode) {
		this.areaCode	= areaCode;
	}

	public java.lang.String getExchange() {
		return exchange;
	}

	public  void setExchange(java.lang.String exchange) {
		this.exchange	= exchange;
	}

	public java.lang.String getNumber() {
		return number;
	}

	public  void setNumber(java.lang.String number) {
		this.number	= number;
	}

	public boolean equals(Phone rhs) {
		return this.areaCode == rhs.getAreaCode()
			&& this.exchange.equals(rhs.getExchange())
			&& this.number.equals(rhs.getNumber());
	}
	
	public String toString() {
		return "areaCode=" + areaCode + "\n" + 
			"exchange=" + exchange + "\n" + 
			"number=" + number;
	}

}
